using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识对象
    /// </summary>
    [Description("辨识对象")]
    public class T_HM_RISK_TASK_IDENTIFYING : MesEntityBase
    {
        /// <summary>
        /// 风险表ID
        /// </summary>
        [Description("风险表ID")]
        [DataFieldForeignKey("Nav_Task", "Nav_Identifyings")]
        public Guid TASK_ID { get; set; }

        /// <summary>
        /// 导航属性：风险表
        /// </summary>
        [Description("导航属性：风险表")]
        public T_HM_RISK_TASK Nav_Task { get; set; }
        /// <summary>
        /// 辨识对象ID
        /// </summary>
        [Description("辨识对象ID")]
        [DataFieldForeignKey("Nav_Identifying")]
        [FormFieldEdit]
        public Guid IDENTIFYING_ID { get; set; }

        /// <summary>
        /// 导航属性：辨识对象
        /// </summary>
        [Description("导航属性：辨识对象")]
        public T_HM_IDENTIFYING Nav_Identifying { get; set; }
        
    }
}
